Bug 167445 - multipathd sometimes dies when many disks being added by multipath
multipathd sometimes dies when many disks being added by multipath
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 13:53 EDT by Stoo Davies
Modified: 2010-01-11 21:21 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.4.5-6.0.RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 00:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stoo Davies 2005-09-02 13:53:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050715 Firefox/1.0.5

Description of problem:
I'm doing some initial testing on RHES4-U2 beta with 3PAR InServ storage arrays and dm-multipath/multipath-tools.
 
The devices on the storage array were already partitioned and had filesystems on them, they were discovered at the scsi layer by reloading the qla2300 module, and then multipath was run to create the /dev/mapper/xxxx entries.
 
At this point the CPU load hit 100% on the box, the process that was stuck was..
 
/sbin/mpath_ctl "add map dm-2"
 
after looking at it some more it seems that multipathd had died during the setup of these maps.   I assume the mpath_ctl process was stuck waiting for a response from multipathd.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
See desc

Additional info:
Comment 1 Alasdair Kergon 2005-10-03 18:06:46 EDT
Exactly which version of the multipath package was this with?
(Fixes were applied for something similar to this.)
Comment 2 Alasdair Kergon 2005-10-03 18:08:47 EDT
The daemon's read/write loops still need fixing to bring them into line with the
client's.
Comment 3 Stoo Davies 2005-10-03 19:04:47 EDT
It was device-mapper-multipath-0.4.5-5.2.RHEL4
Comment 4 Alasdair Kergon 2005-10-04 09:14:52 EDT
Please retest with -6.0.RHEL4 then: hopefully you'll find this particular
problem is fixed.
Comment 5 Stoo Davies 2005-10-10 13:08:14 EDT
Looks good, didn't see anything hang over the weekends test runs.  Thanks
Comment 6 Ben Marzinski 2005-10-11 00:16:48 EDT
I'm closing the bug. Let me know if you see this again.

Note You need to log in before you can comment on or make changes to this bug.